### Constructor

# WebKitWebProcessExtension ContextMenuItem new_from_gaction

since: 2.18

#### Declaration [src]

    WebKitContextMenuItem*
    webkit_context_menu_item_new_from_gaction (
      GAction* action,
      const gchar* label,
      GVariant* target
    )

#### Description [src]

Creates a new `WebKitContextMenuItem` for the given `action` and `label`.

On activation `target` will be passed as parameter to the callback.

Available since: 2.18

#### Parameters

`action`

  Type: `GAction`

  A `GAction`.

  The data is owned by the caller of the function.

`label`

  Type: `const gchar*`

  The menu item label text.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`target`

  Type: `GVariant`

  A `GVariant` to use as the action target.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `WebKitContextMenuItem`

The newly created `WebKitContextMenuItem` object.

The data is owned by the called function.